<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePathwaysTable extends Migration
{
    public function up(): void
    {
        Schema::create('pathways', function (Blueprint $table): void {
            $table->increments('id');
            $table->string('pathwayable_type');
            $table->unsignedBigInteger('pathwayable_id');
            $table->string('name');
            $table->string('description')->nullable();
            $table->timestamps();

            $table->index(['pathwayable_type', 'pathwayable_id'], null);
        });
    }
}
