<?php

namespace EventPortal\Domain\Event\Form\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class SaveForm
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $step = $payload->getContext('form_steps');

        $step->sections->each(static function ($section) use (&$payload): void {
            $section->questions->each(static function ($question) use (&$payload): void {
//                $formData = FormData::create([
//                    'question_id' => $question->id,
//                    'value' => $payload->getInput(Str::slug($question->question, '_')),
//                ]);
//                $payload->addContext('form_data', $formData);
            });
        });

        return $next($payload);
    }
}
